# KDE User's Manual

Ben
Burton
bab@debian.org
May 25, 2005
K Desktop Environment
indiserver
1

# `indiserver`

INDI server for telescope control by KStars

    indiserver
    -p port
    -r
    attempts
    -vv
    driver

## Description

&kstars; allows you to configure and control astronomical instruments such as telescopes and focusers via the INDI protocol. `indiserver` is a server that sits between the &kstars; user interface and the low-level hardware drivers.

The INDI server is a network server, int hat either local or remote clients may connect to it to control astronomical instruments. The INDI server must be running on the machine that is physically connected to the astronomical instruments.

There is usually no need to run the INDI server directly. Using the &kstars; device manager, you can set up astronomical instruments and start or stop the INDI server all from within &kstars;

Much more detailed information is available in the &kstars; handbook, as described below.

&kstars; is a graphical desktop planetarium for &kde;, and forms part of the &kde; edutainment module.

## Options

`-p port`

  Alternate IP port. The default is 7624.

`-r attempts`

  Maximum attempts to restart, in case of a problem. The default is 2.

`-vv`

  Be more verbose with output to stderr.

`driver`

  The names of the INDI drivers to run.

  Currently available are:

  - `celestrongps` (Celestron GPS)

  - `fliccd` (Finger Lakes Instruments CCD)

  - `lx200_16` (LX200 16")

  - `lx200autostar` (LX200 Autostar)

  - `lx200classic` (LX200 Classic)

  - `lx200generic` (LX200 Generic)

  - `lx200gps` (LX200 GPS)

  - `temma` (Temma Takahashi)

  - `v4ldriver` (Video4Linux Generic)

  - `v4lphilips` (Philips Webcam)

## See Also

celestrongps(1), fliccd(1), lx200_16(1), lx200autostar(1), lx200classic(1), lx200generic(1), lx200gps(1), kstars(1), temma(1), v4ldriver(1), v4lphilips(1)

More detailed user documentation is available in the &kstars; handbook, which you can reach from help:/kstars (either enter this URL into &konqueror;, or run ``khelpcenter` `help:/kstars``).

## Examples

To start an INDI server running an LX200 GPS driver, and listening to connections on port 8000:

    indiserver -p 8000 lx200gps

## Authors

This man page based on the one written for Debian by Ben Burton bab@debian.org